#include <stdio.h>
#include <string.h>
#include <sys/socket.h>
#include <errno.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <sys/types.h>
#include <unistd.h>
#include <iostream>
using namespace std;


int main(int argc, char** argv)
{
	int sock_client;
	struct sockaddr_in server_addr;

	sock_client = socket(AF_INET, SOCK_STREAM, 0);
	if(sock_client < 0 ){
		perror("socket error!\n");
		return -1;
	}

	bzero(&server_addr, sizeof(struct sockaddr_in));
	server_addr.sin_family 		= AF_INET;
	server_addr.sin_port   		= htons(8802);
	server_addr.sin_addr.s_addr = inet_addr("127.0.0.1");

	int flag;
	flag = connect(sock_client,(struct sockaddr*)(&server_addr), sizeof(struct sockaddr));
	if(flag < 0){
		perror("connect error!\n");
		close(sock_client);
		return -1;
	}

	printf("connect to server : OK! \n");

	char buffer[1024];


	//printf("%s\n",buffer);

	bzero(buffer,sizeof(buffer));
	recv(sock_client, buffer, 1024, 0);
	printf("recv : %s\n", buffer);

	bzero(buffer,sizeof(buffer));
	strcpy(buffer,"this is client!\n");
	send(sock_client, buffer, 1024, 0);

	while(1){
		bzero(buffer,sizeof(buffer));
		cin>>buffer;
		int p = strlen(buffer);
		buffer[p] = '\0';
		send(sock_client, buffer, 1024, 0);
		printf("i have send buffer\n");
	}

/*
	flag = send(sock_client, buffer, 1024, 0);
	if(flag < 0){
		perror("send error");
		close(sock_client);
		return -1;
	}

	bzero(buffer,sizeof(buffer));
	flag = recv(sock_client, buffer, 1024, 0);
	if(flag < 0){
		perror("recv error!\n");
		close(sock_client);
		return -1;
	}

	time_t time = (time_t)buffer;
*/
	close(sock_client);
	return 0;
}
